services:

  ftpd:
    image: registry.gitlab.com/{{ gitlab_project }}/production_ftpd:{{ gigadb_environment }}
    volumes:
      - /share/dropbox:/home
      - /home/ec2-user/app_data/pure-ftpd:/etc/pure-ftpd
      - /home/ec2-user/app_data/pure-ftpd/passwd:/etc/pure-ftpd/passwd
    environment:
      PUBLICHOST: "{{ remote_fileserver_hostname.json.value }}"
    command: -l puredb:/etc/pure-ftpd/pureftpd.pdb -E -j -R -P {{ remote_fileserver_hostname.json.value }}
    ports:
      - "21:21"
      - "30000-30009:30000-30009"
    restart: unless-stopped

